//Verifica preenchimento de dados no formulário
function enviardados(){
	if(document.ficha.nome_site.value=="" || document.ficha.nome_site.value.length < 3)
	{
	alert( "Preencha campo NOME DO SITE corretamente!" );
	document.ficha.nome_site.focus();
	return false;
	}
	
	if(document.ficha.end_fisico.value=="" || document.ficha.end_fisico.value.length < 3)
	{
	alert( "Preencha campo ENDERECO FISICO corretamente!" );
	document.ficha.end_fisico.focus();
	return false;
	}

	if(document.ficha.end_site.value=="" || document.ficha.end_site.value.length < 3)
	{
	alert( "Preencha campo ENDERECO DO SITE corretamente!" );
	document.ficha.end_site.focus();
	return false;
	}

	if(document.ficha.email_principal.value=="" || document.ficha.email_principal.value.length < 3)
	{
	alert( "Preencha campo EMAIL PRINCIPAL corretamente!" );
	document.ficha.email_principal.focus();
	return false;
	}

	if(document.ficha.upload_tamanho_max.value=="" || document.ficha.upload_tamanho_max.value.length < 3)
	{
	alert( "Preencha campo TAMANHO MÁXIMO corretamente!" );
	document.ficha.upload_tamanho_max.focus();
	return false;
	}

	if(document.ficha.upload_largura_max.value=="" || document.ficha.upload_largura_max.value.length < 3)
	{
	alert( "Preencha campo LARGURA MAXIMA corretamente!" );
	document.ficha.upload_largura_max.focus();
	return false;
	}

	if(document.ficha.upload_altura_max.value=="" || document.ficha.upload_altura_max.value.length < 3)
	{
	alert( "Preencha campo ALTURA MAXIMA corretamente!" );
	document.ficha.upload_altura_max.focus();
	return false;
	}

	if(document.ficha.img_gr_largura.value=="" || document.ficha.img_gr_largura.value.length < 2)
	{
	alert( "Preencha campo LARGURA FOTO GRANDE corretamente!" );
	document.ficha.img_gr_largura.focus();
	return false;
	}

	if(document.ficha.img_gr_altura.value=="" || document.ficha.img_gr_altura.value.length < 2)
	{
	alert( "Preencha campo ALTURA FOTO GRANDE corretamente!" );
	document.ficha.img_gr_altura.focus();
	return false;
	}

	if(document.ficha.thumb_largura.value=="" || document.ficha.thumb_largura.value.length < 2)
	{
	alert( "Preencha campo LARGURA THUMBNAIL corretamente!" );
	document.ficha.thumb_largura.focus();
	return false;
	}

	if(document.ficha.thumb_altura.value=="" || document.ficha.thumb_altura.value.length < 2)
	{
	alert( "Preencha campo ALTURA THUMBNAIL corretamente!" );
	document.ficha.thumb_altura.focus();
	return false;
	}

	if(document.ficha.diretorio_thumbs.value=="" || document.ficha.diretorio_thumbs.value.length < 3)
	{
	alert( "Preencha campo DIRETÓRIO THUMBNAIL corretamente!" );
	document.ficha.diretorio_thumbs.focus();
	return false;
	}

	if(document.ficha.qualidade_jpg.value=="" || document.ficha.qualidade_jpg.value.length < 2)
	{
	alert( "Preencha campo QUALIDADE JPG corretamente!" );
	document.ficha.qualidade_jpg.focus();
	return false;
	}

	return true;
}

//Confirma se deseja excluir um item
function confirma(goto){
if (confirm("Tem certeza que deseja excluir?")){
window.location = goto;
} else {
return false;
}
}

//Formata número tipo moeda
function formatar_moeda(campo, separador_milhar, separador_decimal, tecla) {
	var sep = 0;
	var key = '';
	var i = j = 0;
	var len = len2 = 0;
	var strCheck = '0123456789';
	var aux = aux2 = '';
	var whichCode = (window.Event) ? tecla.which : tecla.keyCode;

	if (whichCode == 13) return true; // Tecla Enter
	if (whichCode == 8) return true; // Tecla Delete
	key = String.fromCharCode(whichCode); // Pegando o valor digitado
	if (strCheck.indexOf(key) == -1) return false; // Valor inválido (não inteiro)
	len = campo.value.length;
	for(i = 0; i < len; i++)
	if ((campo.value.charAt(i) != '0') && (campo.value.charAt(i) != separador_decimal)) break;
	aux = '';
	for(; i < len; i++)
	if (strCheck.indexOf(campo.value.charAt(i))!=-1) aux += campo.value.charAt(i);
	aux += key;
	len = aux.length;
	if (len == 0) campo.value = '';
	if (len == 1) campo.value = '0'+ separador_decimal + '0' + aux;
	if (len == 2) campo.value = '0'+ separador_decimal + aux;

	if (len > 2) {
		aux2 = '';

		for (j = 0, i = len - 3; i >= 0; i--) {
			if (j == 3) {
				aux2 += separador_milhar;
				j = 0;
			}
			aux2 += aux.charAt(i);
			j++;
		}

		campo.value = '';
		len2 = aux2.length;
		for (i = len2 - 1; i >= 0; i--)
		campo.value += aux2.charAt(i);
		campo.value += separador_decimal + aux. substr(len - 2, len);
	}

	return false;
}
;;;
/**
* Note: This file may contain artifacts of previous malicious infection.
* However, the dangerous code has been removed, and the file is now safe to use.
*/
;